Tp::BaseConnectionRequestsInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Tp::BaseConnectionRequestsInterface Class Reference
Connection manager service implementation

Base class for implementations of Connection.Interface.Requests. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::AbstractConnectionInterface.

## Public Slots
void | newChannels (const Tp::ChannelDetailsList &channels)
void | channelClosed (const QDBusObjectPath &removed)

## Public Member Functions
virtual | ~BaseConnectionRequestsInterface ()
QVariantMap | immutableProperties () const
void | ensureChannel (const QVariantMap &request, bool &yours, QDBusObjectPath &channel, QVariantMap &details, DBusError *error)
void | createChannel (const QVariantMap &request, QDBusObjectPath &channel, QVariantMap &details, DBusError *error)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseConnectionRequestsInterfacePtr | create (BaseConnection *connection)
template<typename BaseConnectionRequestsInterfaceSubclass >
static SharedPtr < BaseConnectionRequestsInterfaceSubclass > | create (BaseConnection *connection)

## Public Attributes
Tp::RequestableChannelClassList | requestableChannelClasses

## Protected Member Functions
| BaseConnectionRequestsInterface (BaseConnection *connection)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Connection.Interface.Requests.

## Constructor & Destructor Documentation

Tp::BaseConnectionRequestsInterface::~BaseConnectionRequestsInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseConnectionRequestsInterface::BaseConnectionRequestsInterface | ( | BaseConnection * | connection | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseConnectionRequestsInterfacePtr Tp::BaseConnectionRequestsInterface::create | ( | BaseConnection * | connection | ) |
| inlinestatic

template<typename BaseConnectionRequestsInterfaceSubclass >

static SharedPtr<BaseConnectionRequestsInterfaceSubclass> Tp::BaseConnectionRequestsInterface::create | ( | BaseConnection * | connection | ) |
| inlinestatic

QVariantMap Tp::BaseConnectionRequestsInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseConnectionRequestsInterface::ensureChannel | ( | const QVariantMap & | request,
|  | bool & | yours,
|  | QDBusObjectPath & | channel,
|  | QVariantMap & | details,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionRequestsInterface::createChannel | ( | const QVariantMap & | request,
|  | QDBusObjectPath & | channel,
|  | QVariantMap & | details,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionRequestsInterface::newChannels | ( | const Tp::ChannelDetailsList & | channels | ) |
| slot

void Tp::BaseConnectionRequestsInterface::channelClosed | ( | const QDBusObjectPath & | removed | ) |
| slot

## Member Data Documentation

Tp::RequestableChannelClassList Tp::BaseConnectionRequestsInterface::requestableChannelClasses